LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Non-*NIX Forums > Programming
User Name
Password
Programming This forum is for all programming questions.
The question does not have to be directly related to Linux and any language is fair game.

Notices

Reply
 
Search this Thread
Old 08-17-2012, 12:57 PM   #1
Skillz
Member
 
Registered: Sep 2007
Posts: 234

Rep: Reputation: 32
PHP error after upgrading to latest version of PHP


Code:
Fatal error: Method Display::__toString() must not throw an exception in /home/utfiles/public_html/index.php on line 645
I get this error in my script now after transferring the site to a new server with a newer version of PHP. 5.3.15 is the version of PHP it's running.

Here is the section it's referring to in the error:

Code:
        $log -> add_entry($search_log);
        $str = $dir_list -> __toString();
        echo new Display($str);
 
Old 08-17-2012, 02:54 PM   #2
rosehosting.com
Member
 
Registered: Jun 2012
Posts: 222

Rep: Reputation: 62
You should take a look at: http://stackoverflow.com/questions/2...-from-tostring
 
Old 08-17-2012, 05:35 PM   #3
Skillz
Member
 
Registered: Sep 2007
Posts: 234

Original Poster
Rep: Reputation: 32
So that means what exactly? lol
 
Old 08-17-2012, 08:02 PM   #4
Skillz
Member
 
Registered: Sep 2007
Posts: 234

Original Poster
Rep: Reputation: 32
Seems the error handling of the script isn't right. It was missing one of the template files, once I replaced that template file all is well.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
doesn't centos 5.x support the latest version of php? SarahGurung Linux - Newbie 19 03-24-2012 09:35 AM
PHP Warning after upgrading from PHP 5.2.1 to 5.3.1 on CentOS rossie Linux - Newbie 4 12-20-2009 02:18 PM
latest php version for RH9 ? vbsaltydog Red Hat 6 03-05-2006 06:54 PM
Upgrading 10.2's version of php scrupul0us Slackware 37 01-31-2006 06:16 PM
upgrading to newest version of php BoBByCooL Linux - Newbie 4 05-25-2005 11:05 AM


All times are GMT -5. The time now is 04:42 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration